Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510205 - add async requests to graph refresh
Summary: add async requests to graph refresh
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.9.0
Assignee: Boriso
QA Contact: Ilanit Stein
URL:
Whiteboard: rhev
Depends On: 1507773
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-06 23:00 UTC by Satoe Imaishi
Modified: 2018-03-06 14:59 UTC (History)
5 users (show)

Fixed In Version: 5.9.0.7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1507773
Environment:
Last Closed: 2018-03-06 14:59:38 UTC
Category: ---
Cloudforms Team: RHEVM


Attachments (Terms of Use)

Comment 2 Greg Blomquist 2017-11-16 23:23:19 UTC
Gaprindashvili backport details:

$ git log -1
commit 86ba3e1b29aefd60a85738e2b799945d4e6d2191
Author: Moti Asayag <masayag@redhat.com>
Date:   Thu Nov 2 13:57:33 2017 +0200

    Merge pull request #121 from borod108/async_graph
    
    Use async inventory for graph refresh
    (cherry picked from commit 35522f6b2f7cde164dfae9a87834916bafd1ab29)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1510205

Comment 3 CFME Bot 2017-11-29 20:45:09 UTC
New commit detected on ManageIQ/manageiq-providers-ovirt/gaprindashvili:
https://github.com/ManageIQ/manageiq-providers-ovirt/commit/86ba3e1b29aefd60a85738e2b799945d4e6d2191

commit 86ba3e1b29aefd60a85738e2b799945d4e6d2191
Author:     Moti Asayag <masayag@redhat.com>
AuthorDate: Thu Nov 2 13:57:33 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Nov 6 18:01:09 2017 -0500

    Merge pull request #121 from borod108/async_graph
    
    Use async inventory for graph refresh
    (cherry picked from commit 35522f6b2f7cde164dfae9a87834916bafd1ab29)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1510205

 .../redhat/inventory/collector/infra_manager.rb    |  69 +-
 .../redhat/inventory/parser/infra_manager.rb       |   9 +-
 .../inventory_collection_default/infra_manager.rb  |   2 +
 .../infra_manager/refresh/refresher_4_1_spec.rb    | 787 ---------------------
 .../refresh/refresher_4_async_graph_spec.rb        | 679 ++++++++++++++++++
 5 files changed, 744 insertions(+), 802 deletions(-)
 delete mode 100644 spec/models/manageiq/providers/redhat/infra_manager/refresh/refresher_4_1_spec.rb
 create mode 100644 spec/models/manageiq/providers/redhat/infra_manager/refresh/refresher_4_async_graph_spec.rb

Comment 4 Ilanit Stein 2017-12-25 12:33:30 UTC
Full refresh measurements for CFME-5.9.0.14/RHV-4.2.1 - scale (1800 VMs, 400 Hosts), both systems on same location (no high latency):

* Initial full refresh (Right after connecting the RHV to CFME)
Graph Refresh - ON - 4.5 min

* Second full refresh (Running Refresh Relationship, after RHV is connected, and the initial full refresh has ended)
Graph Refresh - ON - 2 min

There were no issues seen during full refresh tests.

Comment 5 Ilanit Stein 2018-01-18 10:39:52 UTC
Moving to Verified as Automation full test list showed no regression on CFME
with RHV Graph refresh switched ON, compared to same tests run with Graph Refresh switched OFF.

Tested on CFME-5.9.0.16/RHV-4.1.8.2


Note You need to log in before you can comment on or make changes to this bug.